/*
 *         _        ___
 *    /\ / /___    / _ \ /\ /\  _ ___
 *   / // // _ \  / // // // // // _ \
 *  / // // // / / ___// // // // // /
 *  \___//_//_/ /_/   /_/ \___/ \_  /
 *                             \___/
 * 
 *  Compunach UnPlug
 *  Copyright (C) 2009 David Batley <unplug@dbatley.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

function populate_configs() {
	var elemlist = document.getElementsByTagName("configwrapper");
	for (var i = 0; i < elemlist.length; i++) {
		var el = elemlist[i];
		var value = UnPlug2.get_pref(el.getAttribute("name"), el.getAttribute("default"));
		el.setValue(value);
	}
}


function save_configs() {
	var elemlist = document.getElementsByTagName("configwrapper");
	for (var i = 0; i < elemlist.length; i++) {
		var el = elemlist[i];
		var value = UnPlug2.set_pref(el.getAttribute("name"), el.getValue());
	}
}

function goto_tab_requested() {
	if (window.arguments.length <= 1)
		goto_tab(window.arguments[0]);
}

function goto_tab(tabname) {
	var tb = document.getElementById("tabbox");
	switch (tabname) {
		case "open":
			tb.selectedIndex = 1;
			break;
		case "dl":
			tb.selectedIndex = 2;
			break;
	}
}

UnPlug2DownloaderOption = {
	getdownloadurl : function() {
		var config = document.getElementById("downloader_config");
		switch (config.getValue()) {
			case "dta":
				// return "https://addons.mozilla.org/en-US/firefox/downloads/latest/201";
				return "https://addons.mozilla.org/en-US/firefox/addon/201";
			default:
				return null;
		}
	},
	
	enable_button : function() {
		var btn = document.getElementById("downloader_installer");
		if (UnPlug2DownloaderOption.getdownloadurl())
			btn.disabled = "";
		else
			btn.disabled = "true";
	},
	
	install : function() {
		var url = UnPlug2DownloaderOption.getdownloadurl();
		if (url)
			window.open(url);
	},
	
	end_of_object : 1 }






